import { ChangeDetectorRef, QueryList } from '@angular/core';
import { HotToastClose, Toast, ToastConfig, ToastPosition, AddToastRef, CreateHotToastRef } from '../../hot-toast.model';
import { HotToastRef } from '../../hot-toast-ref';
import { HotToastComponent } from '../hot-toast/hot-toast.component';
import * as i0 from "@angular/core";
export declare class HotToastContainerComponent {
    private cdr;
    defaultConfig: ToastConfig;
    hotToastComponentList: QueryList<HotToastComponent>;
    toasts: Toast<unknown>[];
    toastRefs: CreateHotToastRef<unknown>[];
    /** Subject for notifying the user that the toast has been closed. */
    private _onClosed;
    private onClosed$;
    constructor(cdr: ChangeDetectorRef);
    trackById(index: number, toast: Toast<unknown>): string;
    calculateOffset(toastId: string, position: ToastPosition): number;
    updateHeight(height: number, toast: Toast<unknown>): void;
    addToast<DataType>(ref: HotToastRef): AddToastRef<DataType>;
    closeToast(id?: string): void;
    beforeClosed(toast: Toast<unknown>): void;
    afterClosed(closeToast: HotToastClose): void;
    hasToast(id: string): boolean;
    private getAfterClosed;
    private updateToasts;
    static ɵfac: i0.ɵɵFactoryDeclaration<HotToastContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HotToastContainerComponent, "hot-toast-container", never, { "defaultConfig": "defaultConfig"; }, {}, never, never>;
}
