import { AfterViewInit, EventEmitter, Injector, NgZone, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { CreateHotToastRef, HotToastClose, Toast, ToastConfig } from '../../hot-toast.model';
import * as i0 from "@angular/core";
export declare class HotToastComponent implements OnInit, AfterViewInit, OnDestroy {
    private injector;
    private renderer;
    private ngZone;
    toast: Toast<unknown>;
    offset: number;
    defaultConfig: ToastConfig;
    toastRef: CreateHotToastRef<unknown>;
    height: EventEmitter<number>;
    beforeClosed: EventEmitter<any>;
    afterClosed: EventEmitter<HotToastClose>;
    private toastBarBase;
    isManualClose: boolean;
    context: Record<string, any>;
    toastComponentInjector: Injector;
    private unlisteners;
    constructor(injector: Injector, renderer: Renderer2, ngZone: NgZone);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    get containerPositionStyle(): {
        left: number;
        right?: undefined;
        justifyContent?: undefined;
        top: number;
        bottom?: undefined;
        transform: string;
    } | {
        right: number;
        left?: undefined;
        justifyContent?: undefined;
        top: number;
        bottom?: undefined;
        transform: string;
    } | {
        left: number;
        right: number;
        justifyContent: string;
        top: number;
        bottom?: undefined;
        transform: string;
    } | {
        left: number;
        right?: undefined;
        justifyContent?: undefined;
        bottom: number;
        top?: undefined;
        transform: string;
    } | {
        right: number;
        left?: undefined;
        justifyContent?: undefined;
        bottom: number;
        top?: undefined;
        transform: string;
    } | {
        left: number;
        right: number;
        justifyContent: string;
        bottom: number;
        top?: undefined;
        transform: string;
    };
    get toastBarBaseStyles(): any;
    get isIconString(): boolean;
    close(): void;
    ngOnDestroy(): void;
    private isExitAnimation;
    private setToastAttributes;
    static ɵfac: i0.ɵɵFactoryDeclaration<HotToastComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HotToastComponent, "hot-toast", never, { "toast": "toast"; "offset": "offset"; "defaultConfig": "defaultConfig"; "toastRef": "toastRef"; }, { "height": "height"; "beforeClosed": "beforeClosed"; "afterClosed": "afterClosed"; }, never, never>;
}
